<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Acesso extends Model
{
    use HasFactory;
    use SoftDeletes;
    protected $dates = ['deleted_at'];

    public function getDevices()
    {
        return $this->belongsTo(Dispositivo::class, 'dispositivo_id', 'id');


    }
    public function getUser()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
}
